Package org.jboss.resteasy.plugins.providers.atom

## Class Content

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Content

-     public class Content
      extends CommonAttributes

  Represents an atom:content element.

  Per RFC4287:

        The "atom:content" element either contains or links to the content of
        the entry.  The content of atom:content is Language-Sensitive.

        atomInlineTextContent =
           element atom:content {
              atomCommonAttributes,
              attribute type { "text" | "html" }?,
              (text)*
           }

        atomInlineXHTMLContent =
           element atom:content {
              atomCommonAttributes,
              attribute type { "xhtml" },
              xhtmlDiv
           }
        atomInlineOtherContent =
           element atom:content {
              atomCommonAttributes,
              attribute type { atomMediaType }?,
              (text|anyElement)*
           }

        atomOutOfLineContent =
           element atom:content {
              atomCommonAttributes,
              attribute type { atomMediaType }?,
              attribute src { atomUri },
              empty
           }

        atomContent = atomInlineTextContent
         | atomInlineXHTMLContent
         | atomInlineOtherContent
         | atomOutOfLineContent

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected JAXBContextFinder` | `finder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Content()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Element` | `getElement()` | Get content as an XML Element if the content is XML.
    `Object` | `getJAXBObject()` | Returns previous extracted jaxbobject from a call to getJAXBObject(Class<T> clazz) or value passed in through a previous setJAXBObject().
    `<T> T` | `getJAXBObject​(Class<T> clazz, Class... otherPossibleClasses)` | Extract the content as the provided JAXB annotated type.
    `String` | `getRawType()` |
    `URI` | `getSrc()` |
    `String` | `getText()` | If content is text, return it as a String.
    `javax.ws.rs.core.MediaType` | `getType()` | Mime type of the content.
    `List<Object>` | `getValue()` |
    `void` | `setElement​(Element element)` | Set the content to an XML Element.
    `protected void` | `setFinder​(JAXBContextFinder finder)` |
    `void` | `setJAXBObject​(Object obj)` |
    `void` | `setRawType​(String type)` |
    `void` | `setSrc​(URI src)` |
    `void` | `setText​(String text)` | Set content as text.
    `void` | `setType​(javax.ws.rs.core.MediaType type)` |
    `void` | `setValue​(List<Object> value)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### finder

          protected JAXBContextFinder finder

  - ### Constructor Detail

    - #### Content

          public Content()

  - ### Method Detail

    - #### setFinder

          protected void setFinder​(JAXBContextFinder finder)

    - #### getValue

          public List<Object> getValue()

    - #### setValue

          public void setValue​(List<Object> value)

    - #### getSrc

          public URI getSrc()

    - #### setSrc

          public void setSrc​(URI src)

    - #### getType

          public javax.ws.rs.core.MediaType getType()

      Mime type of the content.
      Returns:
        media type

    - #### setType

          public void setType​(javax.ws.rs.core.MediaType type)

    - #### getRawType

          public String getRawType()

    - #### setRawType

          public void setRawType​(String type)

    - #### getText

          public String getText()

      If content is text, return it as a String. Otherwise, if content is not text this will return null.
      Returns:
        text

    - #### setText

          public void setText​(String text)

      Set content as text.
      Parameters:
        `text` - text

    - #### getElement

          public Element getElement()

      Get content as an XML Element if the content is XML. Otherwise, this will just return null.
      Returns:
        `Element`

    - #### setElement

          public void setElement​(Element element)

      Set the content to an XML Element.
      Parameters:
        `element` - `Element`

    - #### getJAXBObject

          public <T> T getJAXBObject​(Class<T> clazz,
                                     Class... otherPossibleClasses)
                              throws JAXBException

      Extract the content as the provided JAXB annotated type.

      This method will use a cached JAXBContext used by the Resteasy JAXB providers or, if those are not existent, it will create a new JAXBContext from scratch using the class.

      Type Parameters:
        `T` - type
      Parameters:
        `clazz` - class type you are expecting
        `otherPossibleClasses` - Other classe you want to create the JAXBContext with
      Returns:
        null if there is no XML content
      Throws:
        `JAXBException` - jaxb exception

    - #### getJAXBObject

          public Object getJAXBObject()

      Returns previous extracted jaxbobject from a call to getJAXBObject(Class<T> clazz) or value passed in through a previous setJAXBObject().
      Returns:
        jaxb object

    - #### setJAXBObject

          public void setJAXBObject​(Object obj)